<template lang="pug">
	section#favoritos
		header
			hgroup
				h1 Favoritos
		listadoFavoritos

		section.detalle
			detalleArchivo( v-if="archivo", :archivo="archivo" )

</template>

<script>
import BarraLateral from '@/components/BarraLateral'
import ListadoFavoritos from "@/components/ListadoFavoritos"
import DetalleArchivo from '@/components/DetalleArchivo'
import { mapState, mapActions, mapMutations } from "vuex"

export default {
	name: "Etiqueta",
	components:{
		ListadoFavoritos,
		DetalleArchivo
	},
	watch:{
	},
	computed:{
		...mapState([
			"carpeta",
			"archivos",
			"archivo",
			"etiqueta"
		])
	},
	methods:{
		...mapActions([
			"obtenerArchivos",
			"obtenerEtiqueta",
		]),
	},
}
</script>

<style lang="stylus" scoped>
@import '~nib/index'
@import "../stylus/base/utiles.styl"

#favoritos
	display grid
	grid-template-areas "encabezado detalle" \
		"listado detalle"
	grid-template-columns 1fr max-content
	grid-template-rows min-content 1fr
	grid-gap 0 1rem
	align-content start
	align-items start

header
	grid-area encabezado
	display grid
	justify-content stretch
	justify-items stretch
	grid-template-areas "titulo"
	grid-template-columns 1fr
	grid-gap 0 1rem
	border-bottom 1px solid tint( azul, 60% )
	margin-bottom 1rem
	background-color tint( azul, 80% )
	border-radius .5rem .5rem 0 0

	hgroup
		grid-area titulo
		background-color tint( azul, 40% )
		color tint( azul,  80% )
		padding 0.8rem 1rem
		display flex
		border-radius .5rem .5rem 0 0

		h1
			font-weight 500
			line-height 1
			font-size calcRem( 15 )

.listadoFavoritos
	grid-area listado
	background-color tint( azul, 80% )


.detalle
	grid-area detalle
	margin 0


</style>
